Skip to content

Delete User Form Version

Endpoint: DELETE /api/human/template/{name}/{version}

Deletes a specific version of the user form from the Conductor server by its name.

Warning

After deletion, all Human tasks that make use of the deleted user form version will fail to render.

Path parameters

Parameter Description Type Required/ Optional
name The name of the user form to be deleted. string Required.
version The version of the user form to be deleted. integer Required.

Response

Returns 200 OK, indicating that the specific version of the user form has been deleted successfully. Returns 500 if a user form does not exist.

Examples

Delete a version of the user form

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/human/template/EmployeeOnboarding/2' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>'

Response

Returns 200 OK, indicating that the specified version of the user form has been deleted successfully.